# Record TCefBeforeDownloadCallback

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefBeforeDownloadCallback = record`

## Description

Callback structure used to asynchronously continue a download.

NOTE: This struct is allocated DLL-side.

Implemented by ICefBeforeDownloadCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_download_handler_capi.h">CEF source file: /include/capi/cef_download_handler_capi.h (cef_before_download_callback_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `cont: procedure(self: PCefBeforeDownloadCallback; const download_path: PCefString; show_dialog: Integer); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `cont: procedure(self: PCefBeforeDownloadCallback; const download_path: PCefString; show_dialog: Integer); stdcall;`
This item has no description.

Generated by PasDoc 0.17.0.snapshot.